<?php

	class RequestQuoteURL {
		public static function renderURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlatkeres/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/quote-request/" , $p );
			}
		}
		
		public static function renderPreviewURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlatkeres-elkuld/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/quote-request-preview/" , $p );
			}
		}
		
		public static function renderAwaitingConfirmationURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlatkeres-jovahagyasa/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/quote-request-confirmation/" , $p );
			}
		}

		public static function renderGroupedURL( $p = array() ) {
			// FIXME
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlatkeres/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/quote-request/" , $p );
			}
		}
	}
?>
